Summary:	Render a planetary image into an X window
Summary(pl.UTF-8):	Renderuje obrazek planety w okienku X window
Name:		xplanet
Version:	1.3.1
Release:	1
License:	GPL v2
Group:		X11/Amusements
Source0:	http://downloads.sourceforge.net/xplanet/%{name}-%{version}.tar.gz
# Source0-md5:	9797dbd9697d10205ca1671f728ea30d
Patch0:		%{name}-c++.patch
Patch1:		%{name}-giflib.patch
URL:		http://xplanet.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	cspice-devel
BuildRequires:	freetype-devel >= 2
BuildRequires:	gettext-tools
BuildRequires:	giflib-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	netpbm-devel
BuildRequires:	pango-devel >= 1:1.2.0
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXScrnSaver-devel
BuildRequires:	xorg-lib-libXext-devel
Requires:	pango >= 1:1.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xplanet is similar to Xearth, where an image of the earth is rendered
into an X window. Azimuthal, Mercator, Mollweide, orthographic, or
rectangular projections can be displayed as well as a window with a
globe the user can rotate interactively. The other terrestrial planets
may also be displayed. The Xplanet home page has links to locations
with map files.

%description -l pl.UTF-8
Xplanet podobne jest do Xearth, gdzie obrazek ziemi jest wyświetlany w
X window. Mogą być także wyświetlane rzuty azymutalne, Mercatora,
Mollweide'a, ortograficzne lub prostokątne, kiedy okienko z globem
jest interaktywnie obracane. Mogą być także wyświetlane inne planety
lądowe. Strona domowa Xplanet zawiera odnośniki do plików z mapami.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
# current code doesn't build in C++11 mode
CXXFLAGS="%{rpmcxxflags} -std=gnu++98"
# force using nl_langinfo interface instead of libcharset
%configure \
	ac_cv_header_localcharset_h=no

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/xplanet
%{_mandir}/man1/xplanet.1*
%{_datadir}/xplanet
%changelog
* Mon Dec 24 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xplanet.git;a=log;h=master

* Mon Dec 24 2018 Jakub Bogusz <qboosh@pld-linux.org> 4cb3135
- missing patches

* Mon Dec 24 2018 Jakub Bogusz <qboosh@pld-linux.org> d1d42ca
- use cspice, cleanup

* Mon Dec 24 2018 Jakub Bogusz <qboosh@pld-linux.org> 2d4614e
- updated to 1.3.1
- removed obsolete giflib patch (upstream supports giflib up to 5.0)
- added giflib patch to support giflib 5.1
- added c++ patch (don't include standard C headers inside a namespace), compile in C++98 mode

* Thu Apr 02 2015 Witold Filipczyk <witekfl@poczta.onet.pl> 0414f3b
- added patch from Calculate Linux, they took it from upstream
- BR giflib4-devel (with the patch and giflib4-devel it compiles)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 0dba12b
- updated gettext BR

* Sun Nov 03 2013 Jan Rękorajski <baggins@pld-linux.org> 7fab625
- release 3 (by relup.sh)

* Sun Nov 03 2013 Jan Rękorajski <baggins@pld-linux.org> 1975985
- refetch source

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 0e08fb8
- release 2 (by relup.sh)

* Wed Jun 06 2012 Adam Osuchowski <adwol@pld-linux.org> 7afb7da
- up to 1.3.0

* Wed Feb 08 2012 Adam Gołębiowski <adamg@pld-linux.org> 55dbe88
- release 4 (rebuild against libpng-1.5)

* Sat Jan 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> e2f7501
- release 3

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0ce0c6c
- release 2

* Sun Mar 20 2011 zbyniu <zbyniu@pld-linux.org> 392e2c6
- obsoleted

* Sun Mar 20 2011 zbyniu <zbyniu@pld-linux.org> ef50194
- up to 1.2.2

* Sat Feb 27 2010 sparky <sparky@pld-linux.org> 3d91a5d
- BR: gettext-devel, giflib-devel, netpbm-devel, pango-devel, pkgconfig,
  xorg-lib-libXScrnSaver-devel
- dropped unused BR: OpenGL-devel, OpenGL-glut-devel (why ?)

* Sat Feb 27 2010 hawk <hawk@pld-linux.org> e13c7be
- release 3

* Thu Jan 14 2010 hawk <hawk@pld-linux.org> eafd333
- release 2

* Sun Aug 16 2009 Bartłomiej Zimoń <cactus@pld-linux.org> 92c954f
- add gcc44 patch from gentoo

* Tue Jul 14 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 6244c7e
- up to 1.2.1

* Sun Jul 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 46de758
- release 5

